> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infinitecreator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all webhook endpoints

> Returns a list of your webhook endpoints.



## OpenAPI

````yaml https://api.infinitecreator.com/openapi.json get /v1/webhook_endpoints
openapi: 3.1.0
info:
  title: Infinite Creator API
  description: >-
    For more information, refer to the [official
    documentation](https://docs.infinitecreator.com).
  version: 1.3.0
servers:
  - url: https://api.infinitecreator.com
security: []
paths:
  /v1/webhook_endpoints:
    get:
      tags:
        - webhook_endpoints
      summary: List all webhook endpoints
      description: Returns a list of your webhook endpoints.
      operationId: list_endpoint_v1_webhook_endpoints_get
      parameters:
        - name: starting_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              A cursor to use in pagination. `starting_after` is an object ID
              that defines your place in the list. For example, if you make a
              list request and receive 100 objects, ending with `obj_foo`, your
              subsequent call can include `starting_after`=`obj_foo` to fetch
              the next page of the list.
            title: Starting After
          description: >-
            A cursor to use in pagination. `starting_after` is an object ID that
            defines your place in the list. For example, if you make a list
            request and receive 100 objects, ending with `obj_foo`, your
            subsequent call can include `starting_after`=`obj_foo` to fetch the
            next page of the list.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: >-
              This specifies a limit on the number of objects to return, ranging
              between 1 and 100.
            default: 10
            title: Limit
          description: >-
            This specifies a limit on the number of objects to return, ranging
            between 1 and 100.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_WebhookEndpoint_'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Not Found
        '405':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Service Unavailable
components:
  schemas:
    Page_WebhookEndpoint_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WebhookEndpoint'
          type: array
          title: Data
          description: >-
            An array containing the actual response elements, paginated by any
            request parameters.
        has_more:
          type: boolean
          title: Has More
          description: >-
            Whether or not there are more elements available after this set. If
            false, this set comprises the end of the list.
      type: object
      required:
        - data
        - has_more
      title: Page[WebhookEndpoint]
    APIError:
      properties:
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
      additionalProperties: false
      type: object
      title: APIError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookEndpoint:
      properties:
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
          description: The URL of the webhook endpoint.
        id:
          type: string
          title: Id
          description: Unique identifier for the object.
        active:
          type: boolean
          title: Active
          description: Whether the webhook endpoint is enabled.
      type: object
      required:
        - url
        - id
        - active
      title: WebhookEndpoint
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````